#include "migrate_task.h"

MigrateTask::MigrateTask(migrateObj m, RedisModuleCtx *ctx, logObj mLog) {
    this->mObj = m;
    this->ctx = ctx;
}

void MigrateTask::process() {
    RedisModuleCallReply *reply = RedisModule_Call(this->ctx, "type", "c", this->mObj.key);
    long long items = RedisModule_CallReplyLength(reply);
    if (items != 1) {
        RedisModule_Log(ctx, WARNING, "type is error");
        return;
    }
    RedisModuleCallReply *item1 = RedisModule_CallReplyArrayElement(reply, 0);
    RedisModuleString *str = RedisModule_CreateStringFromCallReply(item1);
    size_t len;
    const char *type = RedisModule_StringPtrLen(str, &len);
    migrateLog(this->mLog, LL_NOTICE, "type=%s", type);
}

MigrateTask::~MigrateTask() {
}